[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Qemu-devel] WE NEED GCC 4 please

From: Johannes Schindelin
Subject: Re: [Qemu-devel] WE NEED GCC 4 please
Date: Sun, 20 Jan 2008 23:40:10 +0000 (GMT)
User-agent: Alpine 1.00 (LSU 882 2007-12-20)


On Sun, 20 Jan 2008, Andreas Färber wrote:

> Am 20.01.2008 um 23:38 schrieb Sunil Amitkumar Janki:
> > Ignoring the fact that the original poster wrote in all caps and can't 
> > contribute much to qemu development, what is being done or who can 
> > give directions on what would have to be done to make qemu build using 
> > gcc4. I'd prefer it too that I wouldn't have to keep an old gcc 3.x 
> > compiler around specifically to build qemu, so what can we do about 
> > that?
> I have some more reading to catch up but the last I heard was that 
> virtually everything worked except for gcc 4.3 and MinGW 3.4.2 and in my 
> case sh4*-softmmu on OSX/ppc gcc 4.0.1... What to do about any of that I 
> don't know either.

All of sh4-*, in fact.

I plan to work around the MinGW issue by guarding the offending part by 
"#ifdef GCC...", even if I have been told that it works only by chance 
(but it works, whereas any other option I tried does not).


reply via email to

[Prev in Thread] Current Thread [Next in Thread]